petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSVISetVariableBounds

Sets the lower and upper bounds for the solution vector. xl <= x <= xu

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSVISetVariableBounds(TS ts, Vec xl, Vec xu)

### Input Parameters

| ts | - the TS context.
| xl | - lower bound.
| xu | - upper bound.

### Notes

If this routine is not called then the lower and upper bounds are set to PETSC_NINFINITY and PETSC_INFINITY respectively during SNESSetUp().

### Level

advanced

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex21.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages